Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming
Class _BindingIteratorStub

    java.lang.Object
      |
      +--org.omg.CORBA.portable.ObjectImpl
            |
            +--org.omg.CosNaming._BindingIteratorStub

All Implemented Interfaces:
  BindingIterator, BindingIteratorOperations, IDLEntity, Object, Serializable

public class _BindingIteratorStub
extends ObjectImpl
implements BindingIterator

See Also:
  Serialized Form

Constructor Summary
`_BindingIteratorStub(Delegate d)`

Method Summary
`String[]` | `_ids()` Retrieves a string array containing the repository identifiers supported by this `ObjectImpl` object.
`void` | `destroy()` This operation destroys the iterator.
`boolean` | `next_n(int how_many, BindingListHolder bl)` This operation returns at most the requested number of bindings.
`boolean` | `next_one(BindingHolder b)` This operation returns the next binding.

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### _BindingIteratorStub

    public _BindingIteratorStub(Delegate d)

Method Detail

### _ids

    public String[] _ids()

  Description copied from class: `ObjectImpl`
  Retrieves a string array containing the repository identifiers supported by this `ObjectImpl` object. For example, for a stub, this method returns information about all the interfaces supported by the stub.
  Overrides:
    `_ids` in class `ObjectImpl`
  Following copied from class: `org.omg.CORBA.portable.ObjectImpl`
  Returns:
    the array of all repository identifiers supported by this `ObjectImpl` instance

### next_one

    public boolean next_one(BindingHolder b)

  Description copied from interface: `BindingIteratorOperations`
  This operation returns the next binding. If there are no more bindings, false is returned.
  Specified by:
    `next_one` in interface `BindingIteratorOperations`
  Following copied from interface: `org.omg.CosNaming.BindingIteratorOperations`
  Parameters:
    `b` - the returned binding

### next_n

    public boolean next_n(int how_many,
                          BindingListHolder bl)

  Description copied from interface: `BindingIteratorOperations`
  This operation returns at most the requested number of bindings.
  Specified by:
    `next_n` in interface `BindingIteratorOperations`
  Following copied from interface: `org.omg.CosNaming.BindingIteratorOperations`
  Parameters:
    `how_many` - the maximum number of bindings tro return

    `bl` - the returned bindings

### destroy

    public void destroy()

  Description copied from interface: `BindingIteratorOperations`
  This operation destroys the iterator.
  Specified by:
    `destroy` in interface `BindingIteratorOperations`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.